Subject: RE: Specifying a .def file for use with libtools libraries
From: "Stephano Mariani" <[email-masked]>
To: "'Charles Wilson'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Mon, 18 Feb 2002 19:33:36 -0000

Yes, I have, and unfortunately, it does not work!

I have been looking through the source code of the libtool generated by
configure... it seems that it generates an .exp file using the following
command:

/usr/bin/nm -B  .libs/libfile_somefile.o  | sed -n -e 's/^.*[
]\([ABCDGISTW][ABCDGISTW]*\)[   ][
]*\(_\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' | sed 's/.* //' | sort
| uniq > .libs/libfile.exp

And passes it to ld via gcc using -Wl,-retain-symbols-file
-Wl,.libs/libfile.exp

This seems flawed to me since ld simply ignores it as far as I can see!

Stephano Mariani

> -----Original Message-----
> From: Charles Wilson [mailto:[email-masked]]
> Sent: Monday, 18 February 2002 7 14
> To: Stephano Mariani
> Cc: [email-masked]
> Subject: Re: Specifying a .def file for use with libtools libraries
> 
> This is kindof a kluge, but try this:
> 
> libname_la_LDFLAGS = foo.def <-no-undefined and other link flags>
> 
> --chuck
> 
> Stephano Mariani wrote:
> 
> > Hello,
> >
> > Is there a way to use something similar to .def files with libtool.
I
> > have no way of limiting the export list, and the -export-symbols
<file>
> > directive in the libname_la_LDFLAGS seems not to work.
> >
> > I could go and rename all the symbols to avoid conflicts, but I
would
> > rather not... there has to be a way to do this using libtool.
> >
> > Please help! I am fast getting desperate enough to drop libtool
> > altogether.
> >
> > Thanks in advance,
> >
> > Stephano Mariani
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/